<!DOCTYPE html>
<html>

	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Bootstrap-Flex</title>

		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">		
	</head>

	<body>

		<div class = "container-fluid text-center">
			<h1>Bootstrap Flex</h1>
			<p>Use the d-flex class to create a flex container and transform direct children into flex items.</p>

			<div style = "height: 500px;" class = "bg-dark d-flex flex-column p-3 align-items-center justify-content-center">
				<div class = "p-3 bg-success col-2">Flex item A</div>
				<div class = "p-3 bg-warning col-2">Flex item B</div>
				<div class = "p-3 bg-danger col-2">Flex item C</div>		
			</div>

			<h2>Flex Row</h2>
			<div class = "bg-dark p-3 d-flex flex-row ">
				<div class = "p-3 bg-success ">Flex item A</div>
				<div class = "p-3 bg-warning ">Flex item B</div>
				<div class = "p-3 bg-danger ">Flex item C</div>
			</div>

			<h2>Flex Row Reverse</h2>
			<div class = "bg-dark p-3 d-flex flex-row-reverse">
				<div class = "p-3 bg-success ">Flex item A</div>
				<div class = "p-3 bg-warning ">Flex item B</div>
				<div class = "p-3 bg-danger ">Flex item C</div>
			</div>

			<h2>Create space between elements</h2>
			<div class = "bg-dark p-3 d-flex flex-row justify-content-around">
				<div class = "p-3 bg-success ">Flex item A</div>
				<div class = "p-3 bg-warning ">Flex item B</div>
				<div class = "p-3 bg-danger ">Flex item C</div>
			</div>

			<h2>flex box with margin</h2>
			<div class = "bg-dark p-3 d-flex flex-row">
				<div class = "p-3 bg-success ">Flex item A</div>
				<div class = "p-3 bg-warning ">Flex item B</div>
				<div class = "p-3 bg-danger ">Flex item C</div>
				<div class = "p-3 bg-primary ml-auto">Flex item D</div>
			</div>

			<h2>Nested Flex Elements</h2>
			<div class = "bg-dark p-3 d-flex flex-row">
				<div class = "p-3 bg-success mr-auto">Flex item A</div>
				<div class = "d-flex flex-row justify-content-between w-50">
					<div class = "p-3 bg-warning ">Flex item B</div>
					<div class = "p-3 bg-danger ">Flex item C</div>
					<div class = "p-3 bg-primary ">Flex item D</div>
				</div>
			</div>

			
		</div>

		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

	</body>

</html>